QwtSingleArrayData Class Reference

Single array data (extension to QwtData) More...

`#include <BoxCurve.h>`

Inheritance diagram for QwtSingleArrayData:

## Public Member Functions

virtual QwtData * | copy () const
| QwtSingleArrayData (const double x, QwtArray< double > y, size_t)
virtual size_t | size () const
virtual double | x (size_t) const
virtual double | y (size_t i) const

## Private Attributes

double | d_x
QwtArray< double > | d_y

## Detailed Description

Single array data (extension to QwtData)

## Constructor & Destructor Documentation

## QwtSingleArrayData()

QwtSingleArrayData::QwtSingleArrayData | ( | const double | x,
|  | QwtArray< double > | y,
|  | size_t |
| ) |  |

inline

## Member Function Documentation

## copy()

virtual QwtData* QwtSingleArrayData::copy | ( |  | ) | const

inline virtual

## size()

virtual size_t QwtSingleArrayData::size | ( |  | ) | const

inline virtual

## x()

virtual double QwtSingleArrayData::x | ( | size_t |  | ) | const

inline virtual

## y()

virtual double QwtSingleArrayData::y | ( | size_t | i | ) | const

inline virtual

## Member Data Documentation

## d_x

double QwtSingleArrayData::d_x

private

## d_y

QwtArray<double> QwtSingleArrayData::d_y

private

The documentation for this class was generated from the following file:

- qtiplot/src/plot2D/BoxCurve.h